choco source add -n=choco-2 -s'https://test/chocolatey'

PS C:\> choco upgrade git -y -r --source=choco-2
Upgrading the following packages:
git
By upgrading you accept licenses for the packages.
git|2.19.0|2.19.1|false
Progress: Downloading git 2.19.1... 100%

git v2.19.1
git package files upgrade completed. Performing other installation steps.
 The upgrade of git was successful.
  Software install location not explicitly set, could be in package or
  default install location if installer.

Chocolatey upgraded 1/1 packages.
 See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).

 PS C:\> choco uninstall vlc -y -f
Chocolatey v0.10.11 Business
Uninstalling the following packages:
vlc

vlc v3.0.4 (forced)
Uninstalling vlc...
0
vlc has been uninstalled.
 Running auto uninstaller...
 Auto uninstaller has successfully uninstalled vlc or
 detected previous uninstall.
 
vlc has been successfully uninstalled.

choco new test --file=.\test.msi --automaticpackage
Chocolatey v0.10.11 Business
Creating a new package specification at 
C:\package\test
Generating package from custom template at 
'C:\ProgramData\chocolatey\templates\NewFileInstaller'.
Generating template to a file
 at 'C:\package\test\test.nuspec'
Generating template to a file
 at 'C:\package\test\tools\chocolateyinstall.ps1'
Successfully generated test (automatic) package 
specification file at 'C:\package\test'

Get-ChildItem -Path C:\package\test | Select-Object Name

Name
----
icons
tools
test.2.1.3.111.nupkg
test.nuspec

Get-ChildItem -Path C:\package\test\tools\ | Select-Object Name

Name
----
chocolateyinstall.ps1
test.msi

C:\temp> choco download urbackup-client --internalize -r
Progress: Downloading urbackup-client 2.2.6... 100%

urbackup-client v2.2.6
Found internalizable Chocolatey functions. Inspecting values for remote resources.

Recompiling package.
Recompiled package files available at 'C:\temp\download\urbackup-client'
Recompiled nupkg available in 'C:\temp'

C:\temp\ > choco install urbackup-client --source=C:\temp\ -y
Chocolatey v0.10.11 Business
Installing the following packages:
urbackup-client
By installing you accept licenses for the packages.

urbackup-client v2.2.6
urbackup-client package files install completed. Performing other installation steps.
Installing UrBackup Client NoTray 2.2.6.exe...
UrBackup Client NoTray 2.2.6.exe has been installed.
  urbackup-client may be able to be automatically uninstalled.
 The install of urbackup-client was successful.
  Software install location not explicitly set, could be in package or
  default install location if installer.

Chocolatey installed 1/1 packages.
 See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).

 PS C:\> choco list git --exact -lo --audit
Chocolatey v0.10.11 Business
git 2.19.1 User:dfrancis-adm Domain:TESTDOMAIN Original User:dan InstallDateUtc:2018-10-30 12:26:58Z
1 packages installed.

$packageArgs = @{                                                                                                     
    packageName            = 'googlechrome'                                                                             
    fileType               = 'MSI'                                                                                      
    url                    = 'https://dl.google.com/tag/s/dl/chrome/install/googlechromestandaloneenterprise.msi'       
    url64bit               = 'https://dl.google.com/tag/s/dl/chrome/install/googlechromestandaloneenterprise64.msi'     
    checksum               = '653fdf0e84c9c88791813bcd9184188941b9df482ef0bf99a01c5ed836b7e0a7'                         
    checksum64             = 'f6f20072d55b34f435a13f625be6b836d4d57d6ebe4cf81d38ab3c38adae61fb'                         
    checksumType           = 'sha256'                                                                                   
    checksumType64         = 'sha256'                                                                                   
    silentArgs             = "/quiet /norestart /l*v `"$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPacka
  geVersion).MsiInstall.log`""                                                                                          
    validExitCodes         = @(0)                                                                                       
  }     
  
  Install-ChocolateyPackage @packageArgs

  Set-ExecutionPolicy Bypass -Scope Process -Force; iex ((New-Object System.Net.WebClient).DownloadString('https://chocolatey.org/install.ps1'))
  
  
  chocolatey_package 'git' do
  action :install
  source 'https://my.internal.repository/api/v2'
end

PS C:\> choco --help 
This is a listing of all of the different things you can pass to choco.

Commands

 * search - searches remote or local packages (alias for list)
 * list - lists remote or local packages
 * info - retrieves package information. Shorthand for choco search pkgname --exact --verbose
 * install - installs packages from various sources
 * pin - suppress upgrades for a package
 * outdated - retrieves packages that are outdated. Similar to upgrade all --noop
 * upgrade - upgrades packages from various sources
 * uninstall - uninstalls a package
 * pack - packages up a nuspec to a compiled nupkg
 * push - pushes a compiled nupkg
 * new - generates files necessary for a chocolatey package from a template
 * source - view and configure default sources
 * sources - view and configure default sources (alias for source)
 * config - Retrieve and configure config file settings
 * features - view and configure choco features (alias for feature)
 * feature - view and configure choco features
 * setapikey - retrieves or saves an apikey for a particular source (alias for apikey)
 * apikey - retrieves or saves an apikey for a particular source
 * unpackself - have chocolatey set itself up
 * version - [DEPRECATED] will be removed in v1 - use `choco outdated` or `cup <pkg|all> -whatif` instead
 * update - [DEPRECATED] RESERVED for future use (you are looking for upgrade, these are not the droids you are looking for)
 * support - provides support information
 * download - downloads packages - optionally internalizing all remote resources
 * sync - synchronizes against system installed software - generates missing packages
 * synchronize - synchronizes against system installed software - generates missing packages
 * optimize - optimizes installation, reducing space usage
 * 
 * PS C:\> choco install chocolatey.server -y



 PS C:\> choco install chocolatey.server -y

 $packageArgs = @{                                                                                                     
    packageName = 'googlechrome'                                                                             
    fileType = 'MSI'                                                                                      
    url = 'https://dl.google.com/tag/s/dl/chrome/install/googlechromestandaloneenterprise.msi'       
    url64bit = 'https://dl.google.com/tag/s/dl/chrome/install/googlechromestandaloneenterprise64.msi'     
    checksum = '653fdf0e84c9c88791813bcd9184188941b9df482ef0bf99a01c5ed836b7e0a7'                         
    checksum64 = 'f6f20072d55b34f435a13f625be6b836d4d57d6ebe4cf81d38ab3c38adae61fb'                         
    checksumType  = 'sha256'                                                                                   
    checksumType64 = 'sha256'                                                                                   
    silentArgs  = "/quiet /norestart /l*v `"$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPacka
  geVersion).MsiInstall.log`""                                                                                          
    validExitCodes = @(0)                                                                                       
  }     

  Install-ChocolateyPackage @packageArgs

PS C:\> choco --help 
This is a listing of all of the different things you can pass to choco.

Commands

 * search - searches remote or local packages (alias for list)
 * list - lists remote or local packages
 * info - retrieves package information. Shorthand for choco search pkgname --exact --verbose
 * install - installs packages from various sources
 * pin - suppress upgrades for a package
 * outdated - retrieves packages that are outdated. Similar to upgrade all --noop
 * upgrade - upgrades packages from various sources
 * uninstall - uninstalls a package
 * pack - packages up a nuspec to a compiled nupkg
 * push - pushes a compiled nupkg
 * new - generates files necessary for a chocolatey package from a template
 * source - view and configure default sources
 * sources - view and configure default sources (alias for source)
 * config - Retrieve and configure config file settings
 * features - view and configure choco features (alias for feature)
 * feature - view and configure choco features
 * setapikey - retrieves or saves an apikey for a particular source (alias for apikey)
 * apikey - retrieves or saves an apikey for a particular source
 * unpackself - have chocolatey set itself up
 * version - [DEPRECATED] will be removed in v1 - use `choco outdated` or `cup <pkg|all> -whatif` instead
 * update - [DEPRECATED] RESERVED for future use (you are looking for upgrade, these are not the droids you are looking for)
 * support - provides support information
 * download - downloads packages - optionally internalizing all remote resources
 * sync - synchronizes against system installed software - generates missing packages
 * synchronize - synchronizes against system installed software - generates missing packages
 * optimize - optimizes installation, reducing space usage

